<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.RdfSearchMapper Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html">RdfSearchMapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_rdf_search_mapper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.RdfSearchMapper Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains the main logic to use a document-based search engine for RDF-based metadata records.  
 <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a881f6f1e97e793fdfedaef0c714548f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a881f6f1e97e793fdfedaef0c714548f7">RdfSearchMapper</a> (<a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a> connector, <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">ISearchClient</a> searchClient, string language)</td></tr>
<tr class="memdesc:a881f6f1e97e793fdfedaef0c714548f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates an instance of the class <code><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html" title="Contains the main logic to use a document-based search engine for RDF-based metadata records.">RdfSearchMapper</a></code>.  <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a881f6f1e97e793fdfedaef0c714548f7">More...</a><br /></td></tr>
<tr class="separator:a881f6f1e97e793fdfedaef0c714548f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9534732a7ffc8e6298597a522c8b2b15"><td class="memItemLeft" align="right" valign="top">async Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9534732a7ffc8e6298597a522c8b2b15">SearchAsync</a> (string query, string user, bool advanced=<a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#accd2eb1ac80db3a7415251d9ab604324">SEARCH_ADVANCED</a>, int size=<a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aed2550cf8759e4bc769c82a5f64f6816">SEARCH_SIZE</a>, int from=<a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4643c421de6469d8366b9209e7e3146d">SEARCH_FROM</a>, string sorting=<a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a38145e726d5fed94d57dc38d6699dffb">SEARCH_SORTING</a>)</td></tr>
<tr class="memdesc:a9534732a7ffc8e6298597a522c8b2b15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Executes a search query.  <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9534732a7ffc8e6298597a522c8b2b15">More...</a><br /></td></tr>
<tr class="separator:a9534732a7ffc8e6298597a522c8b2b15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a264594363c603814ec6aaecdd4b43d68"><td class="memItemLeft" align="right" valign="top">async Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a264594363c603814ec6aaecdd4b43d68">AddDocumentAsync</a> (string graphName)</td></tr>
<tr class="memdesc:a264594363c603814ec6aaecdd4b43d68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds or updates a single document.  <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a264594363c603814ec6aaecdd4b43d68">More...</a><br /></td></tr>
<tr class="separator:a264594363c603814ec6aaecdd4b43d68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb17f107cf6d33d31f812eede1b61365"><td class="memItemLeft" align="right" valign="top">async Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aeb17f107cf6d33d31f812eede1b61365">DeleteDocumentAsync</a> (string graphName)</td></tr>
<tr class="memdesc:aeb17f107cf6d33d31f812eede1b61365"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a single document.  <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aeb17f107cf6d33d31f812eede1b61365">More...</a><br /></td></tr>
<tr class="separator:aeb17f107cf6d33d31f812eede1b61365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaa774b868c7f42c97a9b804b98f3592"><td class="memItemLeft" align="right" valign="top">async Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#abaa774b868c7f42c97a9b804b98f3592">CreateIndexAsync</a> ()</td></tr>
<tr class="memdesc:abaa774b868c7f42c97a9b804b98f3592"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a first index with indexes all existing metadata graphs.  <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#abaa774b868c7f42c97a9b804b98f3592">More...</a><br /></td></tr>
<tr class="separator:abaa774b868c7f42c97a9b804b98f3592"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd26a7bc78359fdd781ad108c828af9"><td class="memItemLeft" align="right" valign="top">async Task&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9cd26a7bc78359fdd781ad108c828af9">ReIndexAsync</a> ()</td></tr>
<tr class="memdesc:a9cd26a7bc78359fdd781ad108c828af9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new index (and mapping) and reindexes all existing metadata graphs.  <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9cd26a7bc78359fdd781ad108c828af9">More...</a><br /></td></tr>
<tr class="separator:a9cd26a7bc78359fdd781ad108c828af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afb0d5d6e13bde96600f8f489752644f3"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, JObject &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#afb0d5d6e13bde96600f8f489752644f3">CreateDocument</a> (string graphName, bool changeOtherDocs)</td></tr>
<tr class="memdesc:afb0d5d6e13bde96600f8f489752644f3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates the mapping of a metadata graph.  <a href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#afb0d5d6e13bde96600f8f489752644f3">More...</a><br /></td></tr>
<tr class="separator:afb0d5d6e13bde96600f8f489752644f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c280ad42538e56bf06f15ef4de60675"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a9c280ad42538e56bf06f15ef4de60675">GetCurrentIndex</a> ()</td></tr>
<tr class="separator:a9c280ad42538e56bf06f15ef4de60675"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8c606fc285599d995ab58c3e1bc77c14"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">ISearchClient</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a8c606fc285599d995ab58c3e1bc77c14">_searchClient</a></td></tr>
<tr class="separator:a8c606fc285599d995ab58c3e1bc77c14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a969dd6ce70dbfbcffe4c8c9ea994485d"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a969dd6ce70dbfbcffe4c8c9ea994485d">_RdfClient</a></td></tr>
<tr class="separator:a969dd6ce70dbfbcffe4c8c9ea994485d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4965dcdcd61973c0e54ae130ff93a07d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4965dcdcd61973c0e54ae130ff93a07d">_indexMapper</a></td></tr>
<tr class="separator:a4965dcdcd61973c0e54ae130ff93a07d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8920797934d1b70d9205bcd64e7ddc76"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a8920797934d1b70d9205bcd64e7ddc76">_version</a></td></tr>
<tr class="separator:a8920797934d1b70d9205bcd64e7ddc76"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:aed2550cf8759e4bc769c82a5f64f6816"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aed2550cf8759e4bc769c82a5f64f6816">SEARCH_SIZE</a> = 50</td></tr>
<tr class="separator:aed2550cf8759e4bc769c82a5f64f6816"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4643c421de6469d8366b9209e7e3146d"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4643c421de6469d8366b9209e7e3146d">SEARCH_FROM</a> = 0</td></tr>
<tr class="separator:a4643c421de6469d8366b9209e7e3146d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accd2eb1ac80db3a7415251d9ab604324"><td class="memItemLeft" align="right" valign="top">const bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#accd2eb1ac80db3a7415251d9ab604324">SEARCH_ADVANCED</a> = false</td></tr>
<tr class="separator:accd2eb1ac80db3a7415251d9ab604324"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38145e726d5fed94d57dc38d6699dffb"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a38145e726d5fed94d57dc38d6699dffb">SEARCH_SORTING</a> = &quot;['_score']&quot;</td></tr>
<tr class="separator:a38145e726d5fed94d57dc38d6699dffb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains the main logic to use a document-based search engine for RDF-based metadata records. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a881f6f1e97e793fdfedaef0c714548f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a881f6f1e97e793fdfedaef0c714548f7">&#9670;&nbsp;</a></span>RdfSearchMapper()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.RdfSearchMapper.RdfSearchMapper </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a>&#160;</td>
          <td class="paramname"><em>connector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">ISearchClient</a>&#160;</td>
          <td class="paramname"><em>searchClient</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>language</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates an instance of the class <code><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html" title="Contains the main logic to use a document-based search engine for RDF-based metadata records.">RdfSearchMapper</a></code>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">connector</td><td>Instance of an <code><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html" title="Provides all necessary functions for querying and manipulating the RDF-based knowledge graph.">IRdfConnector</a></code>.</td></tr>
    <tr><td class="paramname">searchClient</td><td>Instance of an <code><a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html" title="Provides all necessary functions to implement a document-based search engine.">ISearchClient</a></code>.</td></tr>
    <tr><td class="paramname">language</td><td>Abbreviated string representation of the language used.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a264594363c603814ec6aaecdd4b43d68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a264594363c603814ec6aaecdd4b43d68">&#9670;&nbsp;</a></span>AddDocumentAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">async Task SemanticSearchImplementation.RdfSearchMapper.AddDocumentAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Adds or updates a single document. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous save operation.</dd></dl>

</div>
</div>
<a id="afb0d5d6e13bde96600f8f489752644f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb0d5d6e13bde96600f8f489752644f3">&#9670;&nbsp;</a></span>CreateDocument()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, JObject&gt; SemanticSearchImplementation.RdfSearchMapper.CreateDocument </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>changeOtherDocs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates the mapping of a metadata graph. </p>
<p>Additional rules can influence the mapping of existing metadata graphs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph.</td></tr>
    <tr><td class="paramname">changeOtherDocs</td><td>A dictionary containing the ID of metadata graphs (key) and corresponding JSON objects (value).</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="abaa774b868c7f42c97a9b804b98f3592"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaa774b868c7f42c97a9b804b98f3592">&#9670;&nbsp;</a></span>CreateIndexAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">async Task SemanticSearchImplementation.RdfSearchMapper.CreateIndexAsync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a first index with indexes all existing metadata graphs. </p>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous create operation.</dd></dl>

</div>
</div>
<a id="aeb17f107cf6d33d31f812eede1b61365"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb17f107cf6d33d31f812eede1b61365">&#9670;&nbsp;</a></span>DeleteDocumentAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">async Task SemanticSearchImplementation.RdfSearchMapper.DeleteDocumentAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Deletes a single document. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous delete operation.</dd></dl>

</div>
</div>
<a id="a9c280ad42538e56bf06f15ef4de60675"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c280ad42538e56bf06f15ef4de60675">&#9670;&nbsp;</a></span>GetCurrentIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.RdfSearchMapper.GetCurrentIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9cd26a7bc78359fdd781ad108c828af9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cd26a7bc78359fdd781ad108c828af9">&#9670;&nbsp;</a></span>ReIndexAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">async Task SemanticSearchImplementation.RdfSearchMapper.ReIndexAsync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new index (and mapping) and reindexes all existing metadata graphs. </p>
<p>This operation is necessary if an application profile changes or a new is added.</p>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous create operation.</dd></dl>

</div>
</div>
<a id="a9534732a7ffc8e6298597a522c8b2b15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9534732a7ffc8e6298597a522c8b2b15">&#9670;&nbsp;</a></span>SearchAsync()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">async Task SemanticSearchImplementation.RdfSearchMapper.SearchAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>query</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>user</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>advanced</em> = <code><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#accd2eb1ac80db3a7415251d9ab604324">SEARCH_ADVANCED</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>size</em> = <code><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#aed2550cf8759e4bc769c82a5f64f6816">SEARCH_SIZE</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>from</em> = <code><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a4643c421de6469d8366b9209e7e3146d">SEARCH_FROM</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sorting</em> = <code><a class="el" href="class_semantic_search_implementation_1_1_rdf_search_mapper.html#a38145e726d5fed94d57dc38d6699dffb">SEARCH_SORTING</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Executes a search query. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">query</td><td>The search query of the user.</td></tr>
    <tr><td class="paramname">user</td><td>The user who searches.</td></tr>
    <tr><td class="paramname">advanced</td><td>lag to specify simple or advanced search syntax.</td></tr>
    <tr><td class="paramname">size</td><td>Number of results.</td></tr>
    <tr><td class="paramname">from</td><td>Position from which the results should be returned.</td></tr>
    <tr><td class="paramname">sorting</td><td>Sorting of the results  (see <a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/sort-search-results.html">https://www.elastic.co/guide/en/elasticsearch/reference/current/sort-search-results.html</a>). </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A task that represents the asynchronous search operation.</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a4965dcdcd61973c0e54ae130ff93a07d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4965dcdcd61973c0e54ae130ff93a07d">&#9670;&nbsp;</a></span>_indexMapper</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a> SemanticSearchImplementation.RdfSearchMapper._indexMapper</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a969dd6ce70dbfbcffe4c8c9ea994485d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a969dd6ce70dbfbcffe4c8c9ea994485d">&#9670;&nbsp;</a></span>_RdfClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> SemanticSearchImplementation.RdfSearchMapper._RdfClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c606fc285599d995ab58c3e1bc77c14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c606fc285599d995ab58c3e1bc77c14">&#9670;&nbsp;</a></span>_searchClient</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="interface_semantic_search_implementation_1_1_i_search_client.html">ISearchClient</a> SemanticSearchImplementation.RdfSearchMapper._searchClient</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8920797934d1b70d9205bcd64e7ddc76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8920797934d1b70d9205bcd64e7ddc76">&#9670;&nbsp;</a></span>_version</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SemanticSearchImplementation.RdfSearchMapper._version</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="accd2eb1ac80db3a7415251d9ab604324"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accd2eb1ac80db3a7415251d9ab604324">&#9670;&nbsp;</a></span>SEARCH_ADVANCED</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const bool SemanticSearchImplementation.RdfSearchMapper.SEARCH_ADVANCED = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4643c421de6469d8366b9209e7e3146d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4643c421de6469d8366b9209e7e3146d">&#9670;&nbsp;</a></span>SEARCH_FROM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int SemanticSearchImplementation.RdfSearchMapper.SEARCH_FROM = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aed2550cf8759e4bc769c82a5f64f6816"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed2550cf8759e4bc769c82a5f64f6816">&#9670;&nbsp;</a></span>SEARCH_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int SemanticSearchImplementation.RdfSearchMapper.SEARCH_SIZE = 50</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a38145e726d5fed94d57dc38d6699dffb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38145e726d5fed94d57dc38d6699dffb">&#9670;&nbsp;</a></span>SEARCH_SORTING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.RdfSearchMapper.SEARCH_SORTING = &quot;['_score']&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_rdf_search_mapper_8cs.html">RdfSearchMapper.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
